\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Monotone and Sorted Matrix Search

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Classes | Functions
CGAL Namespace Reference

## Classes
class | Dynamic_matrix
| The class `Dynamic_matrix` is an adaptor for an arbitrary matrix class `M` to provide the dynamic operations needed for monotone matrix search. More...
class | Sorted_matrix_search_traits_adaptor
| The class `Sorted_matrix_search_traits_adaptor` can be used as an adaptor to create sorted matrix search traits classes for arbitrary feasibility test and matrix classes `F` resp. `M`. More...

## Functions
template<class Matrix , class RandomAccessIC , class Compare_strictly >
void | monotone_matrix_search (const Matrix &m, RandomAccessIC t, const Compare_strictly &compare_strictly=less< Matrix::Value >())
| computes the maximum (as specified by `compare_strictly`) entry for each row of `m` and writes the corresponding column to `t`, i.e., `t[i]` is set to the index of the column containing the maximum element in row `i`. The maximum \( m_r\) of a row \( r\) is the leftmost element for which `compare_strictly` \( (m_r,\,x)\) is false for all elements \( x\) in \( r\). More...
template<class RandomAccessIterator , class Traits >
Traits::Value | sorted_matrix_search (RandomAccessIterator f, RandomAccessIterator l, const Traits &t)
| returns the element `x` in one of the sorted matrices from the range `[f, l)`, for which `t.is_feasible(x)` is true and `t.compare(x, y)` is true for all other `y` values from any matrix for which `t.is_feasible(y)` is true. More...